Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Interface ShellAPI

All Superinterfaces:
  com.sun.jna.AltCallingConvention, com.sun.jna.Library, com.sun.jna.win32.StdCall, com.sun.jna.win32.StdCallLibrary

    public interface ShellAPI

extends com.sun.jna.win32.StdCallLibrary

Ported from ShellAPI.h. Microsoft Windows SDK 6.0A.

Nested Class Summary
`static class` | `ShellAPI.SHFILEOPSTRUCT` Contains information that the SHFileOperation function uses to perform file operations.

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`com.sun.jna.win32.StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`com.sun.jna.Library.Handler`

Field Summary
`static int` | `FO_COPY`
`static int` | `FO_DELETE`
`static int` | `FO_MOVE`
`static int` | `FO_RENAME`
`static int` | `FOF_ALLOWUNDO`
`static int` | `FOF_CONFIRMMOUSE`
`static int` | `FOF_FILESONLY`
`static int` | `FOF_MULTIDESTFILES`
`static int` | `FOF_NO_CONNECTED_ELEMENTS`
`static int` | `FOF_NO_UI`
`static int` | `FOF_NOCONFIRMATION`
`static int` | `FOF_NOCONFIRMMKDIR`
`static int` | `FOF_NOCOPYSECURITYATTRIBS`
`static int` | `FOF_NOERRORUI`
`static int` | `FOF_NORECURSEREPARSE`
`static int` | `FOF_NORECURSION`
`static int` | `FOF_RENAMEONCOLLISION`
`static int` | `FOF_SILENT`
`static int` | `FOF_SIMPLEPROGRESS`
`static int` | `FOF_WANTMAPPINGHANDLE`
`static int` | `FOF_WANTNUKEWARNING`
`static int` | `PO_DELETE`
`static int` | `PO_PORTCHANGE`
`static int` | `PO_REN_PORT`
`static int` | `PO_RENAME`
`static int` | `STRUCTURE_ALIGNMENT`

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Field Detail

### STRUCTURE_ALIGNMENT

    static final int STRUCTURE_ALIGNMENT

See Also:
  Constant Field Values

### FO_MOVE

    static final int FO_MOVE

See Also:
  Constant Field Values

### FO_COPY

    static final int FO_COPY

See Also:
  Constant Field Values

### FO_DELETE

    static final int FO_DELETE

See Also:
  Constant Field Values

### FO_RENAME

    static final int FO_RENAME

See Also:
  Constant Field Values

### FOF_MULTIDESTFILES

    static final int FOF_MULTIDESTFILES

See Also:
  Constant Field Values

### FOF_CONFIRMMOUSE

    static final int FOF_CONFIRMMOUSE

See Also:
  Constant Field Values

### FOF_SILENT

    static final int FOF_SILENT

See Also:
  Constant Field Values

### FOF_RENAMEONCOLLISION

    static final int FOF_RENAMEONCOLLISION

See Also:
  Constant Field Values

### FOF_NOCONFIRMATION

    static final int FOF_NOCONFIRMATION

See Also:
  Constant Field Values

### FOF_WANTMAPPINGHANDLE

    static final int FOF_WANTMAPPINGHANDLE

See Also:
  Constant Field Values

### FOF_ALLOWUNDO

    static final int FOF_ALLOWUNDO

See Also:
  Constant Field Values

### FOF_FILESONLY

    static final int FOF_FILESONLY

See Also:
  Constant Field Values

### FOF_SIMPLEPROGRESS

    static final int FOF_SIMPLEPROGRESS

See Also:
  Constant Field Values

### FOF_NOCONFIRMMKDIR

    static final int FOF_NOCONFIRMMKDIR

See Also:
  Constant Field Values

### FOF_NOERRORUI

    static final int FOF_NOERRORUI

See Also:
  Constant Field Values

### FOF_NOCOPYSECURITYATTRIBS

    static final int FOF_NOCOPYSECURITYATTRIBS

See Also:
  Constant Field Values

### FOF_NORECURSION

    static final int FOF_NORECURSION

See Also:
  Constant Field Values

### FOF_NO_CONNECTED_ELEMENTS

    static final int FOF_NO_CONNECTED_ELEMENTS

See Also:
  Constant Field Values

### FOF_WANTNUKEWARNING

    static final int FOF_WANTNUKEWARNING

See Also:
  Constant Field Values

### FOF_NORECURSEREPARSE

    static final int FOF_NORECURSEREPARSE

See Also:
  Constant Field Values

### FOF_NO_UI

    static final int FOF_NO_UI

See Also:
  Constant Field Values

### PO_DELETE

    static final int PO_DELETE

See Also:
  Constant Field Values

### PO_RENAME

    static final int PO_RENAME

See Also:
  Constant Field Values

### PO_PORTCHANGE

    static final int PO_PORTCHANGE

See Also:
  Constant Field Values

### PO_REN_PORT

    static final int PO_REN_PORT

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD